Package org.apache.groovy.util.concurrent

# Enum ConcurrentReferenceHashMap.ReferenceType

java.lang.Object
java.lang.Enum<ConcurrentReferenceHashMap.ReferenceType>
org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.ReferenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConcurrentReferenceHashMap.ReferenceType>`, `java.lang.constant.Constable`

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

public static enum ConcurrentReferenceHashMap.ReferenceType extends Enum<ConcurrentReferenceHashMap.ReferenceType>
An option specifying which Java reference type should be used to refer to a key and/or value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SOFT`
  Indicates a `SoftReference` should be used
  `STRONG`
  Indicates a normal Java strong reference should be used
  `WEAK`
  Indicates a `WeakReference` should be used

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConcurrentReferenceHashMap.ReferenceType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConcurrentReferenceHashMap.ReferenceType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRONG

    public static final ConcurrentReferenceHashMap.ReferenceType STRONG
    Indicates a normal Java strong reference should be used

  - ### WEAK

    public static final ConcurrentReferenceHashMap.ReferenceType WEAK
    Indicates a `WeakReference` should be used

  - ### SOFT

    public static final ConcurrentReferenceHashMap.ReferenceType SOFT
    Indicates a `SoftReference` should be used

- ## Method Details

  - ### values

    public static ConcurrentReferenceHashMap.ReferenceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConcurrentReferenceHashMap.ReferenceType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null